Posts

Showing posts from April, 2016

Install / build docker squash on OS X to reduce docker image size

Recently while I was trying to install a Docker related app called docker-squash on OSX El Capitan. For those who are not familiar with the utility; docker squash is a nice utility that reduces the size of docker images by removing the layers However when running the command go get github.com/docker/docker/pkg/units I was getting the following error message : Building docker-squash export.go:19:2: cannot find package "github.com/docker/docker/pkg/units" in any of: /usr/lib/go/src/pkg/github.com/docker/docker/pkg/units (from $GOROOT) /root/t/docker-squash/src/github.com/docker/docker/p Below I will show you how to build docker squash step by step (some steps can be omitted i.e. installing go if you already have installed) Install go and set-up variables brew install go mkdir $HOME/.go export GOPATH=$HOME/.go export PATH=$PATH:$GOPATH/bin Clone the docker squash repo I'm not sure this is required but clone the repo under ~/.go/src/github.com/jwilder/dock…

Jaspersoft Studio OSX jdk 8/7 not starting

Image
Recently I downloaded Jaspersoft studio on my Mac OSX but I was having trouble laughing the app as the system kept telling me I needed the older runtime version of Java, as you can see from the screenshot below (sorry in french) Luckily this is solved pretty easy head up to your Applications folder and right click on Jaspersoft Studio.app then on the pop-up menu show package contents then inside the Contents folder you should find an info.plist file; edit the file and add the following line (or change the Current in the path with the JDK version you want) : -vm/System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/javaSave the edited file; you should now be able to launch the software without problems